Loading...
Searching...
No Matches
BALL::SASEdge Class Reference
Molecular Modeling » Molecular Structure » Molecular Surface Computation

`#include <BALL/STRUCTURE/SASEdge.h>`

Inheritance diagram for BALL::SASEdge:

## Public Member Functions

Constructors and Destructors
| SASEdge ()
| SASEdge (const SASEdge &sasedge, bool deep=false)
| SASEdge (SASVertex *vertex0, SASVertex *vertex1, SASFace *face0, SASFace *face1, const TCircle3< double > &circle, const TAngle< double > &angle, Index index)
virtual | ~SASEdge ()
Assignment
void | set (const SASEdge &sasedge, bool deep=false)
SASEdge & | operator= (const SASEdge &sasedge)
void | set (SASVertex *vertex0, SASVertex *vertex1, SASFace *face0, SASFace *face1, const TCircle3< double > &circle, const TAngle< double > &angle, Index index)
Accessors
void | setCircle (const TCircle3< double > &center)
TCircle3< double > | getCircle () const
void | setAngle (const TAngle< double > &angle)
TAngle< double > | getAngle () const
Public Member Functions inherited from BALL::GraphEdge< SASVertex, SASEdge, SASFace >
| GraphEdge ()
virtual | ~GraphEdge ()
void | set (const GraphEdge< SASVertex, SASEdge, SASFace > &edge, bool deep=false)
GraphEdge< SASVertex, SASEdge, SASFace > & | operator= (const GraphEdge< SASVertex, SASEdge, SASFace > &edge)
void | setVertex (Position i, SASVertex *vertex)
SASVertex * | getVertex (Position i) const
void | setFace (Position i, SASFace *face)
SASFace * | getFace (Position i) const
void | setIndex (Index index)
Index | getIndex () const
SASVertex * | other (const SASVertex *vertex) const
bool | substitute (const SASVertex *old_vertex, SASVertex *new_vertex)
SASFace * | remove (const SASFace *face)
void | revert ()

## Friends

Class friends

- class SASFace
- class SASVertex
- class SolventAccessibleSurface
- class TriangulatedSAS
- class SASTriangulator

class | SASVertex
class | SASFace
class | SolventAccessibleSurface
class | TriangulatedSAS
class | SASTriangulator
Friends inherited from BALL::GraphEdge< SASVertex, SASEdge, SASFace >

## Predicates

TCircle3< double > | circle_
TAngle< double > | angle_
virtual bool | operator== (const SASEdge &) const
virtual bool | operator!= (const SASEdge &) const
virtual bool | operator*= (const SASEdge &) const
bool | isFree () const

## Additional Inherited Members

SASVertex * | vertex_ [2]
SASFace * | face_ [2]
Index | index_

## Detailed Description

Generic SASEdge Class.

Definition at line 33 of file SASEdge.h.

## Constructor & Destructor Documentation

## SASEdge() [1/3]

BALL::SASEdge::SASEdge | ( |  | ) |

Default constructor. This method creates a new SASEdge object.

## SASEdge() [2/3]

BALL::SASEdge::SASEdge | ( | const SASEdge & | sasedge,
|  | bool | deep = false )

Copy constructor. Create a new SASEdge object from another.

Parameters

  sasedge | the SASEdge object to be copied
  deep | if deep = false, all pointers are set to NULL (default). Otherwise the new SASEdge object is linked to the neighbours of the old SASEdge object.

## SASEdge() [3/3]

BALL::SASEdge::SASEdge | ( | SASVertex * | vertex0,
|  | SASVertex * | vertex1,
|  | SASFace * | face0,
|  | SASFace * | face1,
|  | const TCircle3< double > & | circle,
|  | const TAngle< double > & | angle,
|  | Index | index )

Detailled constructor. Create a new SASEdge object from some nice objects.

Parameters

  vertex0 | assigned to the first vertex
  vertex1 | assigned to the second vertex
  face0 | assigned to the first face
  face1 | assigned to the second face
  circle | assigned to the circle
  angle | assigned to the angle
  index | assigned to the index

## ~SASEdge()

virtual BALL::SASEdge::~SASEdge | ( |  | ) |

virtual

Destructor. Destructs the SASEdge object.

## Member Function Documentation

## getAngle()

TAngle< double > BALL::SASEdge::getAngle | ( |  | ) | const

Return the angle of the SASEdge.

Returns
  TAngle<double> the angle of the SASEdge

## getCircle()

TCircle3< double > BALL::SASEdge::getCircle | ( |  | ) | const

Return the circle on which the SASEdge lies.

Returns
  TCircle3<double> the circle of the SASEdge

## isFree()

bool BALL::SASEdge::isFree | ( |  | ) | const

isFree.

Returns
  bool true if the RSEdge of the SASEdge is free, false otherwise

## operator!=()

virtual bool BALL::SASEdge::operator!= | ( | const SASEdge & |  | ) | const

virtual

Inequality operator.

Returns
  bool false

Reimplemented from BALL::GraphEdge< SASVertex, SASEdge, SASFace >.

## operator*=()

virtual bool BALL::SASEdge::operator*= | ( | const SASEdge & |  | ) | const

virtual

Similarity operator.

Returns
  bool true

Reimplemented from BALL::GraphEdge< SASVertex, SASEdge, SASFace >.

## operator=()

SASEdge & BALL::SASEdge::operator= | ( | const SASEdge & | sasedge | ) |

Assign from another SASEdge object. The SASEdge object is linked to the neighbours of the SASEdge object
to assign from.

Parameters

  sasedge | the SASEdge object to assign from

## operator==()

virtual bool BALL::SASEdge::operator== | ( | const SASEdge & |  | ) | const

virtual

Equality operator.

Returns
  bool true

Reimplemented from BALL::GraphEdge< SASVertex, SASEdge, SASFace >.

## set() [1/2]

void BALL::SASEdge::set | ( | const SASEdge & | sasedge,
|  | bool | deep = false )

Assign from another SASEdge object.

Parameters

  sasedge | the SASEdge object to assign from
  deep | if deep = false, all pointers are set to NULL (default). Otherwise the SASEdge object is linked to the neighbours of the SASEdge object to assign from.

## set() [2/2]

void BALL::SASEdge::set | ( | SASVertex * | vertex0,
|  | SASVertex * | vertex1,
|  | SASFace * | face0,
|  | SASFace * | face1,
|  | const TCircle3< double > & | circle,
|  | const TAngle< double > & | angle,
|  | Index | index )

Assign from some nice objects.

Parameters

  vertex0 | assigned to the first vertex
  vertex1 | assigned to the second vertex
  face0 | assigned to the first face
  face1 | assigned to the second face
  circle | assigned to the circle
  angle | assigned to the angle
  index | assigned to the index

## setAngle()

void BALL::SASEdge::setAngle | ( | const TAngle< double > & | angle | ) |

Set the angle of the SASEdge.

Parameters

  angle | the new angle

## setCircle()

void BALL::SASEdge::setCircle | ( | const TCircle3< double > & | center | ) |

Set the circle on which the SASEdge lies.

Parameters

  center | the new circle

## Friends And Related Symbol Documentation

## SASFace

friend class SASFace

friend

Definition at line 47 of file SASEdge.h.

## SASTriangulator

friend class SASTriangulator

friend

Definition at line 50 of file SASEdge.h.

## SASVertex

friend class SASVertex

friend

Definition at line 46 of file SASEdge.h.

## SolventAccessibleSurface

friend class SolventAccessibleSurface

friend

Definition at line 48 of file SASEdge.h.

## TriangulatedSAS

friend class TriangulatedSAS

friend

Definition at line 49 of file SASEdge.h.

## Member Data Documentation

## angle_

TAngle<double> BALL::SASEdge::angle_

protected

Definition at line 211 of file SASEdge.h.

## circle_

TCircle3<double> BALL::SASEdge::circle_

protected

Definition at line 208 of file SASEdge.h.